<?php $this->load->view('backend/header_view');?>

<?PHP $this->load->view('backend/sidebar_view');?>

<?PHP 
  breadcrumb('Add news', 'News');
?>

<?php if(validation_errors()) { ?>
<div class="alert alert-error">
	<?php echo validation_errors(); ?>
</div>
<?php }

$attributes = array('id' => 'tab');
echo form_open_multipart('admin/add_news', $attributes);

	echo '<div class="form-group">';
	echo '<label for="news_title" class="col-lg-2 control-label">Title</label>';
	$data = array(
					'name'        => 'news_title',
					'value'       => set_value('news_title'),
					'id'          => 'news_title',
					'class'       => 'form-control span6',
					'placeholder' => 'Enter the title',
				);
	echo form_input($data);
  
	echo '<span class="required">*</span></div>';

	echo '<div class="form-group">';
	echo '<label for="question_text" class="col-lg-2 control-label">Text</label>';
	$data = array(
					'name'  => 'news_text',
					'value' => set_value('news_text'),
					'id'    => 'text',
					'class' => 'input-xlarge',
					'rows'  => 8
				 );
	echo form_textarea($data);
	echo '</div>';

	echo '<div class="form-group" style="margin: 15px 0; border-bottom: 1px solid #CCC;">';
	echo '<label for="news_img" class="col-lg-2 control-label">Image</label>';
	if(isset($img_file_errors)) {
	?>
		<div class="alert alert-error">
			<?php
				foreach($img_file_errors as $error) { ?>
				<?php print $error; ?>
			<?php } ?>
		</div>
	<?php
	}
	$data = array(
				  'type'        => 'file',
				  'name'        => 'news_img',
				  'value'       => set_value('news_img'),
				  'id'          => 'news_img',
				  'class'       => 'form-control span6',
				);
	echo form_input($data); ?>
	<span class="instructions">(jpg, jpeg, png) - 1170 * 768 Maximum</span>
	<span class="instructions" style="margin-bottom: 10px;">Max size: 1Mb</span>
	</div>

<div class="form-group" style="margin: 15px 0; border-bottom: 1px solid #CCC;">
	<table class="one_row" border="0" dir="ltr">
		<tr>
			<td colspan="2">
				<?php
				echo '
				<div class="form-group" style="margin: 10px 0 20px;">
					<div class="col-lg-offset-2 col-lg-10">
						<div class="checkbox">
							<label>';
								$added = "id ='upload_attach' onChange='upload_file()' style = ''";
								echo form_checkbox('upload_attach', 'accept', set_checkbox('upload_attach', 'accept'), $added);
								echo 'Add attachment file
							</label>
						</div>
					</div>
				</div>';
				?>
			</td>
		</tr>
	</table>
	
	<div id="attach_file_field" style="display: none;">
		<?php 
		echo '<label for="attach_file" class="col-lg-2 control-label">Attachment file</label>';
		if(isset($attach_file_errors)) {
		?>
			<div class="alert alert-error">
				<?php
					foreach($attach_file_errors as $error) { ?>
					<?php print $error; ?>
				<?php } ?>
			</div>
		<?php
		}
		$data = array(
					  'type'        => 'file',
					  'name'        => 'attach_file',
					  'value'       => set_value('attach_file'),
					  'id'          => 'attach_file',
					  'class'       => 'form-control span6',
					);
		echo form_input($data); ?>
		<span class="instructions">(pdf, doc, docx) - Max size: 2Mb</span>
	</div>
</div>


<div class="form-group" style="margin: 10px 0 20px;">
	<div class="col-lg-offset-2 col-lg-10">
		<div class="checkbox">
			<label>
				<?php
				$added = "id = 'publish' checked='checked'";
				echo form_checkbox('publish', 'accept', set_checkbox('publish', 'accept'),$added);
				echo 'Published';
				?>
			</label>
		</div>
	</div>
</div>

<div class="btn-toolbar">
	<button type="submit" class="btn">Add</button>
</div>

<?php echo form_close(); ?>

<script type="text/javascript">
	function upload_file() {
		if($('#upload_attach').attr('checked')) {
			$('div#attach_file_field').show();
		}
		else {
			$('div#attach_file_field').hide();
		}
	}
</script>
<?php $this->load->view('backend/footer_view');?>