<?php $this->load->view('backend/header_view');$this->load->view('backend/sidebar_view');
breadcrumb('Edit member', 'Team');
?>
<?php if(validation_errors()) { ?>
<div class="alert alert-error">
	<?php echo validation_errors(); ?>
</div>
<?php }
$attributes = array('id' => 'tab');
echo form_open_multipart('admin/edit_member/' . $member->id, $attributes);
	echo '<div class="form-group">';
	echo '<label for="emp_name" class="col-lg-2 control-label">Name</label>';	
		$data = array(
						'name'        => 'emp_name',
						'value'       => set_value('emp_name') ? set_value('emp_name') : $member->emp_name,
						'id'          => 'emp_name',
						'class'       => 'form-control span6',
						'placeholder' => 'Name',				
					  );	
		echo form_input($data);
		echo '<span class="required">*</span></div>';
		
		echo '<div class="form-group">';
		echo '<label for="position" class="col-lg-2 control-label">Position</label>';
		$data = array(
						'name'        => 'position',
						'value'       => set_value('position') ? set_value('position') : $member->position,
						'id'          => 'position',
						'class'       => 'form-control span6',
						'placeholder' => 'Position',
					 );
		echo form_input($data);
		echo '<span class="required">*</span></div>';
?>

	<div class="form-group" style="margin: 15px 0;">
		<label for="dept_id" class="col-lg-2 control-label">Department</label>
		<?php
			$js = '';
			echo form_dropdown('dept_id', $depts, (set_value('dept_id') ? set_value('dept_id') : $member->dept_id) , $js);
		?>
	</div>
	
	<?php
	echo '<div class="form-group">';
	echo '<label for="f_account" class="col-lg-2 control-label">Facebook account</label>';
	$data = array(
					'name'        => 'f_account',
					'value'       => set_value('f_account') ? set_value('f_account') : $member->facebook,
					'id'          => 'f_account',
					'class'       => 'form-control span6',
					'placeholder' => 'Facebook account',
				);
	echo form_input($data);
	echo '</div>';

	echo '<div class="form-group">';
	echo '<label for="t_account" class="col-lg-2 control-label">Twitter account</label>';
	$data = array(
					'name'        => 't_account',
					'value'       => set_value('t_account') ? set_value('t_account') : $member->twitter,
					'id'          => 't_account',
					'class'       => 'form-control span6',
					'placeholder' => 'Twitter account',
				);
	echo form_input($data);
	echo '</div>';
	?>
	
	<div class="row-fluid" style="">
		<div class="span6">
			<div class="form-group" style="padding: 10px; background: #e7e7e8; margin: 15px 0;">
				<?php echo '<label for="news_title" class="col-lg-2 control-label">Image</label>';?>
				<table class="one_row" border="0" dir="ltr">
					<tr>
						<td colspan="2">
							<img src="<?php print base_url();?>uploads/images/team/<?php print $member->img_name . $member->img_ext;?>" class="img-polaroid" />
						</td>
					</tr>
					<tr>
						<td colspan="2">
							<?php
							echo '
							<div class="form-group" style="margin: 10px 0 20px;">
								<div class="col-lg-offset-2 col-lg-10">
									<div class="checkbox">
										<label>';
											$added = "id = 'upload_img' onChange='upload_file()' style = ''";
											echo form_checkbox('upload_img', 'accept', set_checkbox('upload_img', 'accept'), $added);
											echo 'Replace current image
										</label>
									</div>
								</div>
							</div>';
							?>
						</td>
					</tr>
				</table>
				
				<div id="img_file_field" style="display: none;">
					<?php 
					echo '<label for="photo" class="col-lg-2 control-label"></label>';
					$data = array(
								  'type'        => 'file',
								  'name'        => 'photo',
								  'value'       => set_value('photo'),
								  'id'          => 'photo',
								  'class'       => 'form-control span6',
								);
					echo form_input($data); ?>
					<span class="instructions">(jpg, jpeg, png) - 600 * 600 Maximum</span>
					<span class="instructions" style="margin-bottom: 10px;">Max size: 512kb</span>
				</div>
				<?php
				if(isset($img_file_errors)) {
				?>
					<div class="alert alert-error">
						<?php
							foreach($img_file_errors as $error) { ?>
							<?php print $error; ?>
						<?php } ?>
					</div>
				<?php
				} ?>
			</div>	
		</div>
	</div>

	
	<div class="form-group" style="margin: 10px 0 20px;">
		<div class="col-lg-offset-2 col-lg-10">
			<div class="checkbox">
				<label>
					<?php		
					if($member->publish) {
						$checked = TRUE;
					}
					else {
						$checked = FALSE;
					}
					$data = array(
								'name'    => 'publish',
								'id'      => 'publish', 
								'value'   => 'accept',
								'checked' =>  $checked,
								'style'   => '',
								);

					print form_checkbox($data); 
					?>
					Published
				</label>
			</div>
		</div>
	</div>

	<div class="btn-toolbar">
		<button type="submit" class="btn">Save</button>
	</div>
	<?php echo form_close(); ?>
	<script type="text/javascript">
		function upload_file() {
				if($('#upload_img').attr('checked')) {
					$('div#img_file_field').show();
				}
				else {
					$('div#img_file_field').hide();
				}
		}
	</script>
<?php $this->load->view('backend/footer_view');?>