<?php $this->load->view('backend/header_view');?>

<?PHP $this->load->view('backend/sidebar_view');?>

<?PHP 
  breadcrumb('Edit client', 'Clients');
?>

<?php if(validation_errors()) { ?>
<div class="alert alert-error">
	<?php echo validation_errors(); ?>
</div>
<?php }

if(isset($img_file_errors)) {
?>
	<div class="alert alert-error">
		<?php
			foreach($img_file_errors as $error) { ?>
			<?php print $error; ?>
		<?php } ?>
	</div>
<?php
}

$attributes = array('id' => 'tab');
echo form_open_multipart('admin/edit_client/' . $client->id, $attributes);

	echo '<div class="form-group">';
	echo '<label for="img_title" class="col-lg-2 control-label">Title</label>';
	$data = array(
					'name'        => 'img_title',
					'value'       => set_value('img_title') ? set_value('img_title') : $client->img_title,
					'id'          => 'img_title',
					'class'       => 'form-control span6',
					'placeholder' => 'Enter the title',
				);
	echo form_input($data);
  
	echo '<span class="required">*</span></div>';

	echo '<div class="form-group" style="margin: 15px 0;">';?>
	
	<table class="one_row" border="0" dir="ltr">
		<tr>
			<td colspan="2">
				<img src="<?php print base_url();?>uploads/images/clients/<?php print $client->img_name.$client->img_ext;?>" class="img-polaroid" />
			</td>
		</tr>
		
		<tr>
			<td colspan="2">
				<?php
				echo '
				<div class="form-group" style="margin: 10px 0 20px;">
					<div class="col-lg-offset-2 col-lg-10">
						<div class="checkbox">
							<label>';
								$added = "id = 'upload_img' onChange='upload_file()' style = ''";
								echo form_checkbox('upload_img', 'accept', set_checkbox('upload_img', 'accept'), $added);
								echo 'Replace current image
							</label>
						</div>
					</div>
				</div>';
				?>
			</td>
		</tr>
	</table>
	
	<div id="img_file_field" style="display: none;">
		<?php 
		echo '<label for="img" class="col-lg-2 control-label">Image</label>';
		$data = array(
					  'type'        => 'file',
					  'name'        => 'img',
					  'value'       => set_value('img'),
					  'id'          => 'img',
					  'class'       => 'form-control span6',
					);
		echo form_input($data); ?>
		<span class="instructions">(jpg, jpeg, png) - 280 * 150 Maximum</span>
		<span class="instructions" style="margin-bottom: 10px;">Max size: 512KB</span>
	</div>
	
	<?php echo '</div>'; ?>
	
	<div class="form-group" style="margin: 10px 0 20px;">
		<div class="col-lg-offset-2 col-lg-10">
			<div class="checkbox">
				<label>
					<?php		
					if($client->publish) {
						$checked = TRUE;
					}
					else {
						$checked = FALSE;
					}
					$data = array(
								'name'    => 'publish',
								'id'      => 'publish', 
								'value'   => 'accept',
								'checked' =>  $checked,
								'style'   => '',
								);

					print form_checkbox($data); 
					?>
					Published
				</label>
			</div>
		</div>
	</div>

	<div class="btn-toolbar">
		<button type="submit" class="btn">Save</button>
	</div>
	<?php echo form_close(); ?>
	<script type="text/javascript">
		function upload_file() {
				if($('#upload_img').attr('checked')) {
					$('div#img_file_field').show();
				}
				else {
					$('div#img_file_field').hide();
				}
		}
	</script>
<?php $this->load->view('backend/footer_view');?>