<?php $this->load->view('backend/header_view');?>

<?PHP $this->load->view('backend/sidebar_view');?>

<?php 
  breadcrumb('Edit news', 'News');
?>

<?php if(validation_errors()) { ?>
<div class="alert alert-error">
	<?php echo validation_errors(); ?>
</div>
<?php }

$attributes = array('id' => 'tab');
echo form_open_multipart('admin/edit_news/' . $news->id, $attributes);

	echo '<div class="form-group">';
	echo '<label for="news_title" class="col-lg-2 control-label">Title</label>';
	$data = array(
					'name'        => 'news_title',
					'value'       => set_value('news_title') ? set_value('news_title') : $news->title,
					'id'          => 'news_title',
					'class'       => 'form-control span6',
					'placeholder' => 'Enter the title',
				);
	echo form_input($data);
  
	echo '<span class="required">*</span></div>';?>

	
	<div class="row-fluid" style="">
		<div class="span6">
			<div class="form-group" style="padding: 10px; background: #e7e7e8; margin: 15px 0;">
				<?php echo '<label for="news_title" class="col-lg-2 control-label">Image</label>';?>
				<table class="one_row" border="0" dir="ltr">
					<tr>
						<td colspan="2">
							<img src="<?php print base_url();?>uploads/images/news/thumb/<?php print $news->img_name.'_thumb'.$news->img_ext;?>" class="img-polaroid" />
						</td>
					</tr>
					
					<tr>
						<td colspan="2">
							<?php
							echo '
							<div class="form-group" style="margin: 10px 0 20px;">
								<div class="col-lg-offset-2 col-lg-10">
									<div class="checkbox">
										<label>';
											$added = "id = 'upload_img' onChange='upload_file(1)' style = ''";
											echo form_checkbox('upload_img', 'accept', set_checkbox('upload_img', 'accept'), $added);
											echo 'Replace current image
										</label>
									</div>
								</div>
							</div>';
							?>
						</td>
					</tr>
				</table>
				
				<div id="img_file_div" style="display: none;">
					<?php 
					echo '<label for="news_img" class="col-lg-2 control-label"></label>';
					$data = array(
								  'type'        => 'file',
								  'name'        => 'news_img',
								  'value'       => set_value('news_img'),
								  'id'          => 'news_img',
								  'class'       => 'form-control span6',
								);
					echo form_input($data); ?>
					<span class="instructions">(jpg, jpeg, png) - 1170 * 768 Maximum</span>
					<span class="instructions" style="margin-bottom: 10px;">Max size: 512kb</span>
				</div>
				<?php
				if(isset($img_file_errors)) {
				?>
					<div class="alert alert-error">
						<?php
							foreach($img_file_errors as $error) { ?>
							<?php print $error; ?>
						<?php } ?>
					</div>
				<?php
				} ?>
			</div>	
		</div>
		<div class="span6">
			<div class="form-group" style="padding: 10px; background: #e7e7e8; margin: 15px 0;">
				<label for="news_attach_file" class="col-lg-2 control-label">Attachment file</label>
				<table class="one_row" border="0">
					<?php if($news->attach_file) { ?>
						<tr>
							<td>
								<?php
								if($news->attach_file_ext == '.docx' || $news->attach_file_ext == '.doc') {
									$icon = 'doc.png';
								}
								elseif($news->attach_file_ext == '.pdf') {
									$icon = 'pdf.png';
								}
								?>
								<p>Current attachment file <a href="<?php print base_url();?>uploads/files/news/<?php print $news->attach_file_name.$news->attach_file_ext;?>">
								<img src="<?php echo base_url();?>frontend/images/<?php echo $icon;?>" /></a>
								</p>
							</td>
							<td>
								<?php
								echo '
								<div class="form-group" style="margin: 10px 0 20px;">
									<div class="col-lg-offset-2 col-lg-10">
										<div class="checkbox">
											<label for="delete_attach_file">';
												$added = "id = 'delete_attach_file' style = '' onChange='delete_attach()'";
												echo form_checkbox('delete_attach_file', 'accept', set_checkbox('delete_attach_file', 'accept'), $added);
												echo '<span class="warning">Delete current attachment file</span>
											</label>
										</div>
									</div>
								</div>';
								?>
							</td>
						</tr>
					<?php } ?>
					<tr>
						<td>
							<?php
							echo '
							<div class="form-group" style="margin: 10px 0 20px;">
								<div class="col-lg-offset-2 col-lg-10">
									<div class="checkbox">
										<label for="upload_attach_file">';
											$added = "id = 'upload_attach_file' onChange='upload_file(2)'";
											echo form_checkbox('upload_attach_file', 'accept', set_checkbox('upload_attach_file', 'accept'), $added);
											echo ($news->attach_file ? 'Replace current attachment file' : 'Add file');
										echo '	
										</label>
									</div>
								</div>
							</div>';
							?>
						</td><td></td>
					</tr>
				</table>
				
				<div id="attach_file_div" style="display: none;">
					<?php 
					echo '<label for="news_attach_file" class="col-lg-2 control-label"></label>';
					$data = array(
								  'type'        => 'file',
								  'name'        => 'news_attach_file',
								  'value'       => set_value('news_attach_file'),
								  'id'          => 'news_attach_file',
								  'class'       => 'form-control span6',
								);
					echo form_input($data); ?>
					<span class="instructions">(pdf, doc, docx) - Max size: 2Mb</span>
				</div>
				<?php
				if(isset($attach_file_errors)) {
				?>
					<div class="alert alert-error">
						<?php
							foreach($attach_file_errors as $error) { ?>
							<?php print $error; ?>
						<?php } ?>
					</div>
				<?php
				} ?>
			</div>
		</div>
	</div>

	<?php
	echo '<div class="form-group">';
	echo '<label for="question_text" class="col-lg-2 control-label">Text</label>';
	$data = array(
					'name'  => 'news_text',
					'value' => set_value('news_text') ? set_value('news_text') : $news->text,
					'id'    => 'text',
					'class' => 'input-xlarge',
					'rows'  => 8
				 );
	echo form_textarea($data);
	echo '</div>'; ?>
	
	<div class="form-group" style="margin: 10px 0 20px;">
		<div class="col-lg-offset-2 col-lg-10">
			<div class="checkbox">
				<label>
					<?php		
					if($news->publish) {
						$checked = TRUE;
					}
					else {
						$checked = FALSE;
					}
					$data = array(
								'name'    => 'publish',
								'id'      => 'publish', 
								'value'   => 'accept',
								'checked' =>  $checked,
								'style'   => '',
								);

					print form_checkbox($data); 
					?>
					Published
				</label>
			</div>
		</div>
	</div>

	<div class="btn-toolbar">
		<button type="submit" class="btn">Save</button>
	</div>
	<?php echo form_close(); ?>
	<script type="text/javascript">
		function upload_file(type) {			
			var checkbox;
			var div;
			if(type == 1) {
				checkbox = '#upload_img';
				div      = '#img_file_div';
			}
			else if(type == 2) {
				checkbox = '#upload_attach_file';
				div      = '#attach_file_div';
			}
			if($(checkbox).attr('checked')) {
				$(div).show();
				if(type == 2) {
					$('#delete_attach_file').prop('checked', false);
				}
			}
			else {
				$(div).hide();
			}
		}
		function delete_attach() {
			if($('#delete_attach_file').attr('checked')) {
				if($('#upload_attach_file').attr('checked')) {
					$('#upload_attach_file').prop('checked', false);
					upload_file(2);
				}
			}
		}
	</script>
<?php $this->load->view('backend/footer_view');?>