<?php load_header('Printpac', 'about'); ?>
<div class="row-fluid about1">
	<h1>WHO<span class="bold">WE</span>ARE</h1>
	<p>Printpac is a FSC certified & selected Dubai SME 100 commercial print company based in www.impz.ae Dubai, U.A.E. The key focus areas are Client satisfaction, Growth Performance, Financial Soundness, Innovation, Technological advancements, Human Capital Development, International Orientation, Corporate Excellence and much more.</p>
	<p>Our knowledge, experience and technology provide us with an innovative approach towards fulfilling print requirements. Quality print services are delivered following internationally benchmarked print production standards.</p>
	<p>A specific set of standards govern the corporate culture of Printpac based on our creatively drafted “Quality Service Partnership” (QSP) approach.</p>
	<p>Our success lies in dedication to quality, sustainability and personalised service to our clients.</p>
	<p>Printpac has been recognised for excellence and have been awarded the prestigious Dubai International Print Award for quality, innovation in our print processes.</p>
	<p>Printpac operates from the state of the art Production Site located in www.impz.ae, Dubai where a strong Supply Chain & Logistics Department operate seamlessly in tandem alongside a comprehensive range of print production departments which include the Prepress, Commercial Offset Print, Finishing, Quality Assurance.</p>
	<p>Our client base includes:</p>
	<div class="span6">
		<ul>
			<li><span class="black">Multi National Companies</span></li>
			<li><span class="black">Government Departments</span></li>
			<li><span class="black">Pharmaceuticals</span></li>
			<li><span class="black">FMCG Companies</span></li>
		</ul>
	</div>
	<div class="span5">
		<ul>
			<li><span class="black">5*Hotels</span></li>
			<li><span class="black">Airlines</span></li>
			<li><span class="black">Corporations & Leading Business Organizations</span></li>
			<li><span class="black">Advertising Agencies</span></li>
		</ul>
	</div>
</div>
<div class="row-fluid about2">
	<div class="span6">
		<h1>OUR<span class="bold">MISSION</span></h1>
		<p>The mission of Printpac is to make a positive impact in the world of printing and the environment it operates in, primarily through providing high quality printing results, excellent customer service and a long lasting partnership.</p>
		<p>We aim to achieve our mission through using the QSP book of standards, which will enable us to constantly improve our progress and to provide the best service in the industry.</p>
		<p>The purpose: to make a positive impact in the world of printing while taking care of the environment.</p>
		<p>The business: to help our clients achieve their highest potential through quality, service and partnership</p>
		<p>The values: a printing company that is loyal, caring and has high standards of excellence.</p>
	</div>
	
	<div class="span6">
		<div style="padding-left: 30px;">
			<div class="row-fluid">
				<h1>OUR<span class="bold">VISION</span></h1>
				<p>To be the top print service provider in the UAE catering to the world by consistently providing excellent, reliable and reasonably priced products and services to our customers through following the essence of the QSP book of standards.</p>
			</div>
			
			<div class="row-fluid">
				<h1>OUR<span class="bold">VALUES</span></h1>
				<p>We value hard work, honesty, openness, personal effort, continuous improvement and respect. We are always committed to our customers/partners and have a passion for printing. We pride ourselves in our work and hold ourselves accountable to our clients, partners and employees by honoring our commitments, providing excellent results and always exceeding our customers’ expectations.</p>
			</div>
		</div>
	</div>
</div>
<div class="row-fluid about4">
	<h1>PRINTPAC<span class="bold">ACACHIEVEMENT</span></h1>
	<p>This award signifies the acknowledgement from the Judging Panel about the continuous enhancement in print quality achieved as a result of investment in technology, equipments and processes. Investment in training Human Capital has also transpired in attaining superior quality in print and allowed to offer exceptional service levels to customers.</p>
	<div class="spacer-40px"></div>
	<div class="about4_row">
		<img src="<?php echo base_url();?>frontend/images/DubaiSME100.png" class=".visible-lg .visible-md"/>
		<h1 class="sub">Dubai SME100</h1>
		<p>Printpac ME have been selected as one of the leading Dubai SME 100 companies. The Dubai SME 100 is a premier ranking of Dubai's 100 top performing Small Medium Enterprises in Dubai. To be selected in the Dubai SME 100 is to be acknowledged that we are a driving force in pursuit of service & technological innovation which spurs competition amongst the local economy and that we are destined to be a world-class enterprise. The Dubai SME 100 selection criterion is based on Growth Performance, Financial Soundness, Innovation, Human Capital Development, International Orientation and Corporate Excellence. This certificate is valid until the end of 2013.</p>
	</div>
	<div class="about4_row">
		<img src="<?php echo base_url();?>frontend/images/FSCChainofCustody.png" class=".visible-lg .visible-md"/>
		<h1 class="sub">FSC Chain of Custody</h1>
		<p>FSC is an independent, non-governmental, non-profit organization established to promote the responsible management of the world’s forests. As Printpac Middle East we have obtained the Chain of Custody certification and rights to publish the FSC logo on printed collateral through the Rain Forest Alliance. This is in line with our CSR and environmental friendly objectives. Printing the FSC logo is subject to various processes & approvals through the FSC Authority for every print job. This approval process takes 2-3 days. For more info you may like to visit www.FSC.org</p>
	</div>
	<div class="about4_row">
		<img src="<?php echo base_url();?>frontend/images/DIPA.png" class=".visible-lg .visible-md wide"/>
		<h1 class="sub">Dubai International Print Awards</h1>
		<p>Printpac Middle East have been presented with Gold Awards within two print award categories at the Dubai International Print Awards. These awards are organized by the Printing & Publishing Group which is an operating body with the Dubai Chamber of Commerce.</p>
	</div>
</div>
<?php $this->load->view('frontend/footer_view'); ?>