<!DOCTYPE html>
<!--[if lt IE 7 ]><html class="ie ie6" lang="en"> <![endif]-->
<!--[if IE 7 ]><html class="ie ie7" lang="en"> <![endif]-->
<!--[if IE 8 ]><html class="ie ie8" lang="en"> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!-->
<html class="not-ie" lang="en">
<!--<![endif]-->
<head>
<meta charset="utf-8">
<meta name="description" content="business portfolio site template" />
<meta name="keywords" content="business, marketing, corporate, app, software, marketing"/>
<meta name="author" content="Mahmoud alsrouji" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
<link rel="shortcut icon" href="<?php print base_url();?>frontend/images/favicon.ico" type="image/x-icon">
<link rel="icon" href="<?php print base_url();?>frontend/images/favicon.ico" type="image/x-icon">
<title>Printpac</title>

<!--Fav and touch icons-->
<link rel="shortcut icon" href="img/icons/favicon.ico">
<link rel="apple-touch-icon" href="img/icons/apple-touch-icon.png">
<link rel="apple-touch-icon" sizes="72x72" href="img/icons/apple-touch-icon-72x72.html">
<link rel="apple-touch-icon" sizes="114x114" href="img/icons/apple-touch-icon-114x114.html">

<!--google web font-->
<link href='http://fonts.googleapis.com/css?family=Raleway:400,600,700' rel='stylesheet' type='text/css'>

<!--style sheet-->
<link rel="stylesheet" media="screen" href="<?php echo base_url();?>frontend/bootstrap/css/bootstrap.css" />
<link rel="stylesheet" media="screen" href="<?php echo base_url();?>frontend/bootstrap/css/bootstrap-responsive.css" />
<link rel="stylesheet" media="screen" href="<?php echo base_url();?>frontend/bootstrap/css/bootstrap-override.css" />
<link rel="stylesheet" media="screen" href="<?php echo base_url();?>frontend/css/style.css" />

<?php if($this->uri->segment(1) == 'news_det') { ?>
	<script type="text/javascript">var switchTo5x=true;</script>
	<script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
	<script type="text/javascript">stLight.options({publisher: "3a67aa07-f1ea-4665-8fa7-335ffa1d3b7e", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>
<?php } ?>
<?php if($this->uri->segment(1) == 'about') { ?>
<link rel="stylesheet" href="http://code.jquery.com/ui/1.10.3/themes/smoothness/jquery-ui.css" />
<script src="http://code.jquery.com/jquery-1.9.1.js"></script>
<script src="http://code.jquery.com/ui/1.10.3/jquery-ui.js"></script>
<link rel="stylesheet" href="/resources/demos/style.css" />
<script type="text/javascript">
	$(function() {
		$( "#tabs" ).tabs();
		<?php 
		$segment = $this->uri->segment(2);
		if(!empty($segment)) {
			$about_id = $this->uri->segment(2);
			if($about_id == 1) {
				$element = 'div#who_we_are';
			} elseif($about_id == 2 || $about_id == 3 || $about_id == 4) {
				$element = 'div#mvv';
			} elseif($about_id == 5) {
				$element = 'div#team';
			} elseif($about_id == 6) {
				$element = 'div#achievement';
			}
		?>
		scrollToElement('<?php echo $element; ?>', 2000, -20);
		<?php } ?>
	});
	
	function scrollToElement(selector, time, verticalOffset) {
		time = typeof(time) != 'undefined' ? time : 1000;
		verticalOffset = typeof(verticalOffset) != 'undefined' ? verticalOffset : 0;
		element = $(selector);
		offset = element.offset();
		offsetTop = offset.top + verticalOffset;
		$('html, body').animate({
			scrollTop: offsetTop
		}, time);
	}
</script>
<?php } ?>
<!--jquery libraries / others are at the bottom-->
<?php if($this->uri->segment(1) != 'about') { ?>
<script type="text/javascript" src="<?php echo base_url();?>frontend/js/jquery-1.7.1.min.js"></script>
<?php } ?>
<script type="text/javascript" src="<?php echo base_url();?>frontend/js/modernizr.js"></script>
</head>
<body id="<?php print $body_id;?>">
<!-- header starts
================================================== -->
	<section id="social" class="clearfix">
		<div class="container">
			<div class="row-fluid">
				<!--social starts-->
				<ul class="social clearfix">
					<li><a href="http://www.linkedin.com/pub/printpac-m-e/87/b3b/73a" target="_new"><img src="<?php echo base_url();?>frontend/images/linkedin.png" alt="linkedin"></a></li>
					<?php /* ?>
					<li><a href="#"><img src="<?php echo base_url();?>frontend/images/rss.png" alt="rss"></a></li>
					<?php */ ?>
					<li><a href="#"><img src="<?php echo base_url();?>frontend/images/twitter.png" alt="twitter"></a></li>
					<li><a href="http://www.printpac.wetransfer.com" target="_new"><img src="<?php echo base_url();?>frontend/images/upload.png" alt="Upload"></a></li> 
				</ul>
				<!--social ends-->
			</div>
		</div>
	</section>
	<?php
		$page = $this->uri->segment(1);
		$main_img_class = "";
		switch($page) {
			case '';
				$main_img_class = "main_img_home";
			break;
			case 'about';
				$main_img_class = "main_img_about";
			break;
			case 'qsp';
				$main_img_class = "main_img_qsp";
			break;
			case 'services';
				$main_img_class = "main_img_services";
			break;
			case 'clients';
				$main_img_class = "main_img_clients";
			break;
			case 'contact';
				$main_img_class = "main_img_contact";
			break;
		}
	?>	
	<div class="row-fluid" style="<?php if(!empty($main_img_class)) { ?>height:800px;<?php } ?> position: relative;">
		<section id="header" class="clearfix">	
			<div class="container">
				<div class="row-fluid"> 
					<!--logo starts-->
					<div class="span4 logo">
						<a href="<?php echo base_url();?>">
							<img src="<?php echo base_url();?>frontend/images/logo.png" height="41" alt="logo">
						</a>
					</div>
					<!--logo ends-->
					<div class="span8 clearfix">
						<!--menu starts-->
						<div id="smoothmenu" class="ddsmoothmenu">
							<ul>
								<li><a href="<?php echo base_url();?>" class="<?php echo ($page == '' ? 'selected' : '');?>">HOME</a></li>
								<li><a href="#" class="<?php echo ($page == 'about' ? 'selected active' : '');?>">ABOUT<span class="bold">US</span></a>
									<ul>
										<li><a href="<?php echo base_url();?>about/1" id="us">WHO WE ARE</a></li>
										<li><a href="<?php echo base_url();?>about/2">OUR VISION, MISSION, VALUES</a></li>
										<?php /*
										<li><a href="<?php echo base_url();?>about/3">OUR VISION</a></li>
										<li><a href="<?php echo base_url();?>about/4">OUR VALUES</a></li>
										<?php */
										?>
										<li><a href="<?php echo base_url();?>about/5">OUR TEAM</a></li>
										<li><a href="<?php echo base_url();?>about/6">OUR ACHIEVEMENTS</a></li>
									</ul>
								</li>
								<li><a href="<?php echo base_url();?>qsp" class="<?php echo ($page == 'qsp' ? 'selected' : '');?>">QSP</a></li>
								<li><a href="<?php echo base_url();?>services" class="<?php echo ($page == 'services' ? 'selected' : '');?>"><span class="bold">OUR</span>SERVICES</a></li>
								<li><a href="<?php echo base_url();?>clients" class="<?php echo ($page == 'clients' ? 'selected' : '');?>"><span class="bold">OUR</span>CLIENTS</a></li>
								<li><a href="<?php echo base_url();?>contact" class="<?php echo ($page == 'contact' ? 'selected' : '');?>"><span class="bold">OUR</span>CONTACT</a></li>
							</ul>
						</div>
						<!--menu ends--> 
					</div>
				</div>
			</div>
		</section>
		<div class="row-fluid <?php echo $main_img_class; ?>"></div>
	</div>
<!-- header ends
================================================== --> 

<!-- content starts
================================================== -->
<section id="content" class="clearfix">
	<div class="container">
		<!--spacer here-->
		<div class="spacer-40px"></div>